<?php

namespace App\Entities;

class UserEntity extends BaseEntity
{
    protected $datamap = [];
    protected $dates   = ['created_at', 'updated_at', 'deleted_at'];
    protected $casts   = [];

    //기본기능
    public function getTitle(): string
    {
        return $this->attributes['name'];
    }
    //추가기능
    public function getPassword()
    {
        return $this->attributes['passwd'];
    }
}
